CC     = gcc
LD     = gcc
CFLAGS = -m68020 -O2 -fomit-frame-pointer -resident
LFLAGS = $(CFLAGS) -s
LIBS   =

.c.o:
	$(CC) -c $(CFLAGS) -o $@ $*.c

OBJS = analyze.o io.o context.o ed.o normal.o ifdef.o util.o dir.o version.o \
       regex.o getopt.o getopt1.o alloca.o

all: diff diff3

diff: diff.o $(OBJS)
	$(LD) $(LFLAGS) -o $@ $< $(LIBS)
	-protect $@ +p

diff3: diff3.o
	$(LD) $(LFLAGS) -msmall-code -o $@ $< $(LIBS)
	-protect $@ +p

diff3.o: diff3.c
	$(CC) -c $(CFLAGS) -msmall-code -DDIFF_PROGRAM=\\"diff\\" -o $@ $<
